#ifndef _MSYS_H_
#define _MSYS_H_

// These should be defined in the makefile
#ifndef MSYS_HEAP_START
#error "Make sure that MSYS_HEAP_START is defined!"
#endif
#ifndef MSYS_HEAP_END
#error "Make sure that MSYS_HEAP_END is defined!"
#endif

extern void MSYS_Free( void *ptr );
extern void *MSYS_Alloc( unsigned size );
extern void MSYS_Init( void *heap, unsigned len );


#endif
